
#ifndef ExtendedAPI_h_INCLUDED
#define ExtendedAPI_h_INCLUDED

#include "core/Solver.h"

#ifdef __cplusplus
extern "C" {
#endif
  
  void isat_set_verbosity(void * s, int v);
  int isat_vars(void * s);
  void isat_add_clauses(void * s, int * clauses, int length);
  int * isat_model(void * s);
  void isat_add_blocking_clause(void * s, int * literals, int length);
  void isat_clean(void * s, int * p);
  double isat_get_time(void * s);
  // void isat_add_PB(void * s, int * coefficients, int * variables);
  // int * isat_MUS(void * s);
  void isat_freeze(void * s, int literal);
  int isat_is_eliminated(void * s, int literal);
  // void ipasir_delete_learnts(void * s);
  // void ipasir_set_polarity(void * s, int * polarity);
  // int * ipasir_polarity(void * s);
  
#ifdef __cplusplus
}
#endif
  
#endif
