package iSugar;

import java.io.IOException;
import jp.kobe_u.sugar.SugarException;

public class Main {

	static String solverName = "glueminisat";

	public static void main(String[] args) throws SugarException, IOException {

		int i = 0;
		while(i < args.length){
			if(args[i].equals("-i"))
				Solver.incremental = true;
			else if(args[i].equals("-n"))
				Solver.incremental = false;
			else if(args[i].equals("-e"))
				Solver.enumeration = true;
			else if(args[i].equals("-h"))
				Solver.hcp = true;
			else if(args[i].equals("-m"))
				Solver.isMix= true;
			else if(args[i].equals("-b"))
				Solver.isMix = false;
			else if(args[i].equals("-solver")){
				if(i+1<args.length)
					solverName = args[i+1];
				else
                    throw new SugarException("Solver is missing : -solver");		
			}
			else if(args[i].startsWith("-"))
                throw new SugarException("Unknown Option : " + args[i]);
			else
				Solver.problemFile = args[i];
			i++;		
		}

		Solver solver = new Solver(solverName); 	
		solver.solveProblem();
	}
}
